- test:
    namespace: target
    timeout:
      minutes: 75
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Mount local disk for tmp space
        run:
          steps:
          - echo "/dev/$(lsblk -il| grep " /$"| awk '{ print $1 }')|tee /my-device-or-partition
      name: prep-tmp-disk
      path: inline/prep.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ssuite/ssuite-bench.yaml
      name: ssuite
      parameters:
        SKIP_INSTALL: 'true'
        TESTS: throughput replayed-startup
        TEST_DEV: "'echo /my-device-or-partition'"
        S_PATH: /opt/S-suite/
      timeout:
        minutes: 75
